#ifndef SONG_H
#define SONG_H

#include "sentence.h"
class Song
{
public:Song(  );
  virtual ~ Song(  );
  void reinit( int realloc = 1 );
  void ReadSong( const char *filename );
  int SetCurrentTime( float time );
  int getNextSyllable( Syllable & syll, int *status );
protected: private:void makemp3filepath( const char *filename );
  void TrimR( char * );
public:char m_title[256];
  char m_artiste[256];
  char m_mp3FileName[256];
  int m_BPM;
  int m_GAP;                    // milliseconds
  int m_nbSentences;
  int m_RelativeTime;
  Sentence *m_lstSentences;
  int m_currentTime;
  int m_currentSentence;
  void parseHeaderLine( char *line );
  void parseBodyLine( char *line );
  char *getLineParam( char *line, char *out );
  char *getLineParamTxt( char *line, char *out );
};


#endif // SONG_H
